SORT(1)

NAVN
sort - sort lines of text files

OVERSIKT
sort [VALG]... [FIL]...
sort [VALG]... --files0-from=F

BESKRIVELSE

Skriv ut sorterte sammenslåinger av alle FILer til standardutdata.

Hvis ingen FIL er valgt, eller hvis FIL er «-», leser programmet standard inndata.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg. Sorteringsvalg:

-b, --ignore-leading-blanks
    Ignorer ledende tomrom.

-d, --dictionary-order
    Bare sjekk tomrom-, alfabet- og talltegn.

-f, --ignore-case
    Behandle store og små bokstaver likt.

-g, --general-numeric-sort
    Sammenlikn i henhold til generell tallverdi.

-i, --ignore-nonprinting
    Bare vurder utskrivbare tegn.

-M, --month-sort
    Sammenlikn (ukjent) < «JAN» < ... < «DEC»

-h, --human-numeric-sort
    Sammenlikne menneskelig lesbare tall (f.eks. 2K 1G).

-n, --numeric-sort
    compare according to string numerical value; see full documentation for supported strings

-R, --random-sort
    shuffle, but group identical keys. See shuf(1)

--random-source=FIL
    Hent vilkårlighetsdata fra FIL.

-r, --reverse
    Vis resutater i omvendt rekkefølge.

--sort=ORD
    Sorter i henhold til ORD: general-numeric -g, human-numeric -h, month -M, numeric -n, random -R, version -V.

-V, --version-sort
    Sorter etter evt. versjonsnummer i tekst.

Andre valg:

--batch-size=NMERGE
    Ikke slå sammen flere enn NMERGE antall inndata på én gang (bruk midlertidige filer for å slå sammen flere).

-c, --check, --check=diagnose-first
    Sjekk om inndata allerede er sortert (ikke sorter).

-C, --check=quiet, --check=silent
    Likner -c, men rapporterer ikke første feilaktige linje.

--compress-program=PROG
    Pakker ned midlertidige filer med PROG (pakk dem ut med PROG -d).

--debug
    Marker den delen av linja som brukes i sortering, og varsle om tvilsom bruk til standardfeil.

--files0-from=F
    Les inndata fra NUL(tomrom-)-adskilte filnavn i fil F (hvis F er «-», leser programmet standard inndata).

-k, --key=KNAPPDEF
    Sorter via en knapp (KNAPPDEF angir plassering og type).

-m, --merge
    Slå sammen filer som allerede er sortert (ikke sorter).

-o, --output=FIL
    Skriv resultat til valgt FIL, i stedet for standardutdata.

-s, --stable
    Stabiliser programmet ved å deaktivere siste løsning-metoden.

-S, --buffer-size=STØRR
    Bruk valgt STØRRelse på hovedmellomlager.

-t, --field-separator=SKIL
    Bruk valgt SKILletegn, i stedet for overgang fra ikke-tomrom til tomrom.

-T, --temporary-directory=MAPPE
    Bruk angitt MAPPE for midlertidige filer, i stedet for $TMPDIR eller /tmp (flere valg angir flere mapper her).

--parallel=N
    Endre hvor mange (N) sorteringer som kan utføres samtidig.

-u, --unique
    output only the first of lines with equal keys; with -c, check for strict ordering

-z, --zero-terminated
    Skill mellom linjer med NUL i stedet for linjeskift.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

KNAPPDEF er F[.C][VALG][,F[.C][VALG]] for start- og stoppunkt, der F er et feltnummer og C en tegnposisjon innenfor feltet. Begge telles fra 1, og stoppunktet er slutten av linja som standard. Hvis hverken -t eller -b er i bruk, telles tegnene i et felt fra tomrommet som ligger foran. VALGene kan gjøres i form av énbokstavs-sorteringsvalg [bdfgiMhnRrV], og overstyrer globale sorteringsvalg for aktuell nøkkel. Hele linja brukes som nøkkel hvis ingen nøkkel oppgis. Bruk --debug for å se etter feil i nøkler.

SIZE may be followed by the following multiplicative suffixes: % 1% of memory, b 1, K 1024 (default), and so on for M, G, T, P, E, Z, Y, R, Q.

*** ADVARSEL ***: Miljøets regioninnstilling påvirker sorteringsrekkefølge. Velg LC_ALL=C for tradisjonell sortering med innebygde byte-verdier.

OPPHAVSMANN
Skrevet av Mike Haertel og Paul Eggert.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

SE OGSÅ
shuf(1), uniq(1)

Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/sort>
eller lokalt: info '(coreutils) sort invocation'

Packaged by Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre.
Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.